Bug 1304463 - rhel-osp-director: Update process for basic overcloud deployment takes very long time (~ 4 hours to update 7.x to 7.3)
rhel-osp-director: Update process for basic overcloud deployment takes very l...
Status: CLOSED DUPLICATE of bug 1304878
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
medium Severity high
: ---
: 10.0 (Newton)
Assigned To: Angus Thomas
Shai Revivo
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 12:07 EST by Omri Hochman
Modified: 2018-05-02 06:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 07:12:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omri Hochman 2016-02-03 12:07:13 EST
rhel-osp-director: Update process for basic overcloud deployment takes very long time (~ 4 hours to update 7.x to 7.3) 

Environment ( attempt to update 7.2 to 7.3 ):
--------------------------------------------
instack-0.0.7-2.el7ost.noarch
instack-undercloud-2.1.2-36.el7ost.noarch
openstack-heat-engine-2015.1.2-4.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-94.el7ost.noarch
python-heatclient-0.6.0-1.el7ost.noarch
openstack-heat-templates-0-0.8.20150605git.el7ost.noarch
openstack-heat-api-2015.1.2-4.el7ost.noarch
openstack-heat-common-2015.1.2-4.el7ost.noarch
openstack-heat-api-cfn-2015.1.2-4.el7ost.noarch
heat-cfntools-1.2.8-2.el7.noarch
openstack-heat-api-cloudwatch-2015.1.2-4.el7ost.noarch


description:
-------------
Any update attempts for simple overcloud setup: 3Xcontroller, 1Xcompute, 1Xceph  always takes very long time - over ~4 hours..  

regardless if the update process fail or pass, the process 

Steps : 
--------
- Deploy with osp-director 3Xcontroller, 1Xcompute, 1Xceph  
- Attempt to update environment 

results: 
---------
the update takes over 4 hours. 

Logs: 
------
12:10:18 Creating /var/lib/heat-config/deployed/0e7a36d4-c2c0-4698-aa57-fe5dc2126d38.json so that deployment will not be re-run
12:10:19 Creating /var/lib/heat-config/deployed/fd0b72f8-7545-4304-99f4-f5f643c80f76.json so that deployment will not be re-run
12:10:19 Creating /var/lib/heat-config/deployed/b100bb90-74dd-488b-81c5-d58ab114637c.json so that deployment will not be re-run
12:10:19 Creating /var/lib/heat-config/deployed/31125247-cbf2-44a5-92c9-bd23f17d33f6.json so that deployment will not be re-run
12:10:19 Creating /var/lib/heat-config/deployed/c50867bb-843f-42fd-9b7f-de78ff14071d.json so that deployment will not be re-run
12:10:19 Skipping creating deployed file for deployment bb742307-7671-4816-aed1-077d858874ce as it is group:os-apply-config
12:10:19 Skipping creating deployed file for deployment ebf99a69-2467-4818-9a86-a3bd1ccdb841 as it is group:os-apply-config
12:10:19 Skipping creating deployed file for deployment ba05046c-28b5-47dd-9338-f8e7266020f7 as it is group:Heat::Ungrouped
12:10:19 Updating the overcloud
12:10:20 Update command is: openstack overcloud update stack overcloud -i --templates -e /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/updates/update-from-vip.yaml  -e network-environment.yaml 
12:13:09 WARNING: tripleo_common.stack_update removing breakpoint on overcloud-cephstorage-0
12:17:44 WARNING: tripleo_common.stack_update removing breakpoint on overcloud-compute-0
12:19:54 WARNING: tripleo_common.stack_update removing breakpoint on overcloud-controller-1
12:29:39 WARNING: tripleo_common.stack_update removing breakpoint on overcloud-controller-2
12:39:06 WARNING: tripleo_common.stack_update removing breakpoint on overcloud-controller-0
13:58:46 starting package update on stack overcloud
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 WAITING
13:58:46 not_started: [u'overcloud-controller-0', u'overcloud-compute-0', u'overcloud-controller-1', u'overcloud-controller-2']
13:58:46 on_breakpoint: [u'overcloud-cephstorage-0']
13:58:46 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 WAITING
13:58:46 not_started: [u'overcloud-controller-0', u'overcloud-controller-1', u'overcloud-controller-2']
13:58:46 completed: [u'overcloud-cephstorage-0']
13:58:46 on_breakpoint: [u'overcloud-compute-0']
13:58:46 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: IN_PROGRESS
13:58:46 WAITING
13:58:46 not_started: [u'overcloud-controller-0', u'overcloud-controller-2']
13:58:46 completed: [u'overcloud-compute-0', u'overcloud-cephstorage-0']
13:58:46 on_breakpoint: [u'overcloud-controller-1']
13:58:46 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 WAITING
13:58:46 completed: [u'overcloud-compute-0', u'overcloud-controller-1', u'overcloud-cephstorage-0']
13:58:46 on_breakpoint: [u'overcloud-controller-0', u'overcloud-controller-2']
13:58:46 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 WAITING
13:58:46 completed: [u'overcloud-compute-0', u'overcloud-controller-1', u'overcloud-controller-2', u'overcloud-cephstorage-0']
13:58:46 on_breakpoint: [u'overcloud-controller-0']
13:58:46 Breakpoint reached, continue? Regexp or Enter=proceed, no=cancel update, C-c=quit interactive mode: IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
13:58:46 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 IN_PROGRESS
16:10:35 ERROR: openstack ERROR: Authentication failed. Please try again with option --include-password or export HEAT_INCLUDE_PASSWORD=1
16:10:35 Authentication required
16:10:35 Killed by signal 1.
16:10:35 Build step 'Virtualenv Builder' marked build as failure
16:10:35 Build step 'Groovy Postbuild' marked build as failure
16:10:35 Archiving artifacts
16:10:35 Archiving artifacts
16:10:35 [BFA] Scanning build for known causes...
16:10:35 [BFA] No failure causes found
16:10:35 [BFA] Done. 0s
16:10:35 Started calculate disk usage of build
16:10:35 Finished Calculation of disk usage of build in 0 seconds
16:10:35 Started calculate disk usage of workspace
16:10:36 Finished Calculation of disk usage of workspace in 0 seconds
16:10:36 Finished: FAILURE
Comment 2 Zane Bitter 2016-02-12 11:00:08 EST
Closing this as a dup, because I don't think it makes sense to say that all tests, pass or fail, are taking 4 hours based on the evidence that tests that fail by timing out take 4 hours. Of course they do, 4 hours is the timeout. Reducing the timeout would make them fail faster, but optimising the work we do while waiting for the timeout will most certainly not. The fix here is to squash bugs like bug 1304878 that were wedging the update and causing it to eventually time out.

*** This bug has been marked as a duplicate of bug 1304878 ***
Comment 5 Zane Bitter 2016-03-22 18:13:35 EDT
Do we have enough data to close this now?
Comment 6 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 9 Zane Bitter 2016-06-16 07:12:45 EDT
Given that we have done successful upgrades and that the timeout is still 4h, clearly successful upgrades complete in <4h. At the time this was raised, all updates were wedged by bug 1304878, hence the timeout.

*** This bug has been marked as a duplicate of bug 1304878 ***
Comment 10 Amit Ugol 2018-05-02 06:53:24 EDT
closed, no need for needinfo.

Note You need to log in before you can comment on or make changes to this bug.